Attribute VB_Name = "MLineSegment2F"
Option Explicit

Public Function New_LineSegment2F(P1 As Point2F, P2 As Point2F) As LineSegment2F
    'erzeugt eine neues LineSegment (Strecke)
    With New_LineSegment2F
        .P(0) = P1
        .P(1) = P2
    End With
End Function

Public Function LineIntersection(S1 As LineSegment2F, S2 As LineSegment2F) As Point2F
    'berechnet den Schnittpunkt zweier Geraden gegeben durch die Strecken S1, S2
    LineIntersection = MGeo.IntersectionPoint( _
        S1.P(0).X, S1.P(0).Y, S1.P(1).X, S1.P(1).Y, _
        S2.P(0).X, S2.P(0).Y, S2.P(1).X, S2.P(1).Y)
End Function

Public Function ToString(this As LineSegment2F) As String
    'ganz hilfreich fr Debug-Zwecke
    With this
        ToString = "{" & MPoint2F.ToString(.P(0)) & "; " & MPoint2F.ToString(.P(1)) & "}"
    End With
End Function

