VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   4695
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   4695
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows-Standard
   Begin VB.ComboBox Combo2 
      Height          =   315
      ItemData        =   "Form1.frx":0000
      Left            =   1320
      List            =   "Form1.frx":0002
      TabIndex        =   5
      Text            =   "0"
      Top             =   480
      Width           =   1455
   End
   Begin VB.ComboBox Combo1 
      Height          =   315
      ItemData        =   "Form1.frx":0004
      Left            =   1320
      List            =   "Form1.frx":0006
      TabIndex        =   2
      Text            =   "0"
      Top             =   120
      Width           =   1455
   End
   Begin VB.CommandButton CmdClip 
      Caption         =   "Clip"
      Height          =   375
      Left            =   2880
      TabIndex        =   1
      Top             =   240
      Width           =   1095
   End
   Begin VB.PictureBox Picture1 
      Height          =   3735
      Left            =   120
      ScaleHeight     =   3675
      ScaleWidth      =   4395
      TabIndex        =   0
      Top             =   840
      Width           =   4455
   End
   Begin VB.Label Label2 
      Caption         =   "ClippingPoly 2:"
      Height          =   255
      Left            =   120
      TabIndex        =   4
      Top             =   480
      Width           =   1095
   End
   Begin VB.Label Label1 
      Caption         =   "Clipper 1:"
      Height          =   255
      Left            =   120
      TabIndex        =   3
      Top             =   120
      Width           =   1095
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private m_Poly    As Polygon2F
'Um die Beispiele zu vereinfachen werden nur Vierecke (Quad2F) verwendet
Private m_Q()     As Quad2F
Private m_QIndex1 As Integer
Private m_QIndex2 As Integer

Private Sub Form_Load()
    
    Dim i As Long
    With Picture1
        .BackColor = vbWhite
        .AutoRedraw = True
    End With
    
    ReDim m_Q(0 To 5)
    'ein paar Beispiel-Vierecke anlegen
    m_Q(i) = MQuad2F.New_Quad2F(20#, 50#, 50#, 50#, 50#, 20#, 20#, 20#): i = i + 1
    m_Q(i) = MQuad2F.New_Quad2F(15#, 35#, 35#, 55#, 55#, 35#, 35#, 15#): i = i + 1
    m_Q(i) = MQuad2F.New_Quad2F(40#, 40#, 50#, 40#, 50#, 30#, 15#, 15#): i = i + 1
    m_Q(i) = MQuad2F.New_Quad2F(20#, 30#, 20#, 40#, 30#, 40#, 55#, 15#): i = i + 1
    m_Q(i) = MQuad2F.New_Quad2F(15#, 30#, 30#, 50#, 45#, 30#, 30#, 10#): i = i + 1
    m_Q(i) = MQuad2F.New_Quad2F(50#, 50#, 40#, 30#, 50#, 10#, 20#, 30#)
    
    For i = 0 To 6
        'das sechste Quad ist konkav und deshalb als Clipper nicht geeignet
        If i < 6 Then Call Me.Combo1.AddItem(CStr(i))
        Call Me.Combo2.AddItem(CStr(i))
    Next
    Combo1.ListIndex = 1
    Combo2.ListIndex = 2
    Call Draw
End Sub

Private Sub Combo1_Click()
    m_QIndex1 = Combo1.List(Combo1.ListIndex) - 1
    m_Poly = ErasePolygon2F
    Call Draw
End Sub
Private Sub Combo2_Click()
    m_QIndex2 = Combo2.List(Combo2.ListIndex) - 1
    m_Poly = ErasePolygon2F
    Call Draw
End Sub

Private Sub CmdClip_Click()
    If m_QIndex1 >= 0 And m_QIndex2 >= 0 Then
        If MGeo.SutherlandHodgmanClip(m_Q(m_QIndex1).P, m_Q(m_QIndex2).P, m_Poly) Then
            Call Draw
        End If
    End If
End Sub

Private Sub Form_Resize()
    Dim L As Single, T As Single, W As Single, H As Single, m As Single
    L = Picture1.Left:              T = Picture1.Top
    W = Me.ScaleWidth - L - 8 * 15: H = Me.ScaleHeight - T - 8 * 15
    m = IIf(W < H, W, H)
    If W > 0 And H > 0 Then Picture1.Move L, T, m, m
End Sub
Private Sub Picture1_Resize()
    Picture1.Scale (-10#, 85#)-(85#, -10#)
    Call Draw
End Sub

Private Sub Picture1_Click()
    CmdClip_Click
End Sub

Private Sub Draw()

    Picture1.Cls
    Picture1.ForeColor = vbBlack
    Picture1.DrawWidth = 1
    'Koordinatenachsen zeichnen
    With Picture1
        'X-Achse zeichnen
        Picture1.Line (.ScaleLeft + 5, 0)-(.ScaleWidth + .ScaleLeft - 5, 0)
        Picture1.Print "x"
        'Y-Achse zeichnen
        Picture1.Line (0, .ScaleHeight + .ScaleTop + 5)-(0, .ScaleTop - 5)
        Picture1.Print " y"
    End With
    'das Quad zeichnen das clippt
    Picture1.ForeColor = vbGreen
    If m_QIndex1 >= 0 Then
        Call MQuad2F.Draw(m_Q(m_QIndex1), Picture1)
    End If
    
    'das Quad zeichnen das geclippt wird
    Picture1.ForeColor = vbBlack
    If m_QIndex2 >= 0 Then
        Call MQuad2F.Draw(m_Q(m_QIndex2), Picture1)
    End If
    
    'das resultierende Polygon zeichnen
    Picture1.DrawWidth = 2
    Picture1.ForeColor = vbRed
    If m_Poly.Count > 0 Then
        Call MPolygon2F.Draw(m_Poly, Picture1)
    End If
    
End Sub

