Attribute VB_Name = "MPolygon2F"
Option Explicit
Private Const C_InitPolygonSize As Long = 16 '3

Public Sub Add(this As Polygon2F, newPoint2F As Point2F)
    'fgt einem Polygon einen Punkt hinzu
    'Achtung durch den Listen-Algorithmus hat das Polygon immer eine
    'grere Kapazitt (UBound) als Punkte vorhanden sind (Count)
    With this
        If .Count = 0 Then
            ReDim .P(0 To C_InitPolygonSize)
        Else
            Dim u As Long: u = UBound(.P)
            If .Count > u Then
                ReDim Preserve .P(0 To 2 * u - 1)
            End If
        End If
        .P(.Count) = newPoint2F
        .Count = .Count + 1
    End With
End Sub

Public Sub Draw(this As Polygon2F, aPB As PictureBox)
    'zeichnet ein Polygon auf eine PictureBox, inkl. Punktnummern
    Dim i As Long
    With this
        For i = 0 To .Count - 1
            aPB.PSet (.P(i).X, .P(i).Y)
            aPB.Print CStr(i + 1)
            If i < .Count - 1 Then
                aPB.Line (.P(i).X, .P(i).Y)-(.P(i + 1).X, .P(i + 1).Y)
            Else
                aPB.Line (.P(i).X, .P(i).Y)-(.P(0).X, .P(0).Y)
            End If
        Next
    End With
End Sub
